GeminiGemini
SandboxGet API key
  • Crypto Trading
  • Prediction Markets
Changelog
Gemini Crypto Exchange LogoGemini Crypto Exchange Logo

© 2026 Gemini Space Station, Inc.

REST APIs
    Orders
    Market Data
    Derivatives
    Margin Trading
    Staking
    Clearing
    Instant Orders
    Fund Management
      Get Available BalancesGet Notional BalancesList Deposit AddressesCreate New Deposit AddressList Past TransfersList Custody Fee TransfersWithdraw Crypto FundsGet Gas Fee EstimationAdd BankAdd Bank (CAD)List Payment MethodsList Approved AddressesCreate New Approved AddressRemove Approved AddressTransfer Between AccountsGet Transaction History
WebSocket
    AuthenticationMessage Format
    Streams
      Book TickerL2 Partial DepthL2 Differential DepthTrade StreamOrder EventsBalance Updates
    Playground
      Overviewconninfopingtimesubscribeunsubscribelist_subscriptionsdepthorder.placeorder.cancelorder.cancel_allorder.cancel_session
Agentic
FIX

List Payment Methods

TradingFund ManagementList Payment Methods

List Payment Methods

POSThttps://api.gemini.com/v1/payments/methods

Returns data on fiat currency balances in the account and linked bank accounts.

POSTv1/payments/methods
curl --request POST \
  --url https://api.gemini.com/v1/payments/methods \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "request": "/v1/payments/methods",
  "nonce": "<nonce>"
}
'

Roles

This endpoint can be accessed by either a Master or Account level key with any role assigned. See Roles for more information.

The OAuth scope must have banks:read assigned to access this endpoint. See OAuth Scopes for more information.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Request Body

requeststring·required
The literal string "/v1/payments/methods"
nonceTimestampType | integer·required
timestampExample: 1495127793000
accountstring
Required for Master API keys as described in [Private API Invocation](/authentication/api-key#private-api-invocation). The name of the account within the subaccount group. Master API keys can get all account names using the [Get Accounts endpoint](/rest/account-administration#list-accounts-in-group).
Example request body
{
  "request": "/v1/payments/methods",
  "account": "primary",
  "nonce": "<nonce>"
}

Responses

Successful operation

balancesarray
Array of JSON objects with available fiat currencies and their balances.
balances[].typestring
Account type. Will always be `exchange`
balances[].currencystring
Symbol for fiat balance.
balances[].amountstring
Total account balance for currency.
balances[].availablestring
Total amount available for trading
balances[].availableForWithdrawalstring
Total amount available for withdrawal
banksarray
Array of JSON objects with banking information
banks[].bankstring
Name of bank account
banks[].bankIdstring
Unique identifier for bank account
Example Responses
{
  "balances": [
    {
      "type": "exchange",
      "currency": "USD",
      "amount": "50893484.26",
      "available": "50889972.01",
      "availableForWithdrawal": "50889972.01"
    }
  ],
  "banks": [
    {
      "bank": "Jpmorgan Chase Bank Checking  - 1111",
      "bankId": "97631a24-ca40-4277-b3d5-38c37673d029"
    }
  ]
}
PreviousAdd Bank (CAD)NextList Approved Addresses
Last modified on May 5, 2026